//*****************************************************************
// Questa libreria si occupa di implementare le funzioni utili
// alla gestione di alcuni tipi come quello stringa o boolean
// necessari per una migliore implementazione di vari programmi.
//
// Nome del progetto     : tplus.h tplus.cpp
// Creatore              : Giovanni Ceglia
// Data ultima revisione : 22/05/2003
//*****************************************************************

#if ! defined (TYPESPLUS)
#define TYPESPLUS

typedef char string81[81];    // definizione di un tipo stringa

struct testo{               // definizione di un tipo strutturat
  string81 riga[100];         // chiamato testo e che rappresenta un
  unsigned char count;      // testo, cio un insieme di stringhe.
 };
 
// effettua il confronto fra due stringhe.
extern bool ceglia_strcmp(const string81, const string81);
 
// effettua la potenza di n elevato ad exp
extern int potenza(const int n, const int exp);

// restituisce il valore intero positivo di una cifra numerica
extern unsigned char cifra(const char ch);

// restituisce la dimensione di una qualunque stringa asciz 
// cioe' una stringa chiusa da zero.
extern int strsize(const string81 s);

// dice se un carattere rappresenta una cifra decimale.
extern bool cifra_dec(const char ch);

//dice se una stringa rappresenta un numero decimale.
extern bool numero_dec(const string81);

// converte un valore da una rappresentazione come stringa
// in una rappresentazione come intero.
extern unsigned char strint(const string81 s);

#endif
